Subject: Re: [weirds] My notes from WEIRDS bar BOF @ IETF-81 Quebec (updated)

From: =JeffH <[email-masked]>
Date: Tue, 16 Aug 2011 16:46:13 -0700

some modest updates from my notes.

HTH,

=JeffH

 > *************************************************************************
 >
 > Rough Number of Attendees: 40

Requirements document (Murray K.):

   http://tools.ietf.org/html/draft-kucherawy-weirds-requirements

 >
 > Pete R. asked that this has been done in the past (IRIS), and there is
 > little adoption, why would this time be different?
 >
 > - Andy mentioned that technically speaking IRIS is heavy weight. One of the
 > reasons that hindered IRIS's adoption is that it uses NAPTR. IRIS also uses
 > BEEP for transport as they were not allowed to use HTTP at the time. This
 > made it difficult to write clients and servers for IRIS. Compared with
 > IRIS, the RESTful approach reuses the HTTP component, and it does not use
 > NAPTR.

Andy also noted that ARIN's perspective is that when they impl'd their restful 
service and deployed it, they realized it could change, and so "..as long as 
things don't go completely off the rails [with something even newer], we're good."

See message attached below wrt IRIS experience, and also this I-D..

   ARIN's RESTful Web Service for Whois Data
   http://tools.ietf.org/html/draft-newton-weirds-arin-whoisrws

 > - Steve S mentioned that ICANN's is looking to improve WHOIS including
 > support for internationalized registration data. They looked at several
 > alternatives (extending WHOIS, IRIS, RWS), and thought that the RESTful
 > approach by ARIN is most promising. So they did a pilot (documented in the
 > internet draft) to understand RWS better.

   Also, their approach is somewhat different than ARIN's.

[ RWS == "Restful Web Service" ? ]

See..

   A RESTful Web Service for Domain Name Registration Data (RWS-DNRD)
   http://tools.ietf.org/html/draft-newton-weirds-arin-whoisrws-00

 > Participants discussed what are the problems to solve, and listed four:
 >
 > - standardized/machine parsable output.
 >
 > - support internationalized registration data
 >
 > - Be able to support different users

     aka differentiation of service based on requestors

 > - Better referral features

     Koster: navigation (eg referrals)

[ these four issues were allegedly addressed in the crisp / iris work

 > Pete R. asked if we developed this, would there be people willing to write
 > clients? Who are the consumers? Are there any evidence that _client_ people
 > want this?
 >
 > - Jeff H. mentioned that they rely on this data heavily, and they would
 > write clients to use it.

   - Murray K. concurred.

 > - Peter K. disagreed, "it only benefits secondary domain industries, and
 > that the end user is ok with the current status quo."
 >
 > - the area directors would like to move this conversation onto the mailing
 > list to make sure that there will actually be people willing to write
 > clients for it, and people actually willing to use it.
 >
 >
 > Someone raised whether it make sense to do IRIS over HTTP?
 >
 > - Andy mentioned that IRIS is tied to XML, and if alternative formats are
 > desired (JSON), then IRIS over HTTP might not work.
 >
 >
 > Andrew S. asked if people have any comments for the drafts?
 >
 > - One comment, there is no schema for ARIN's draft. Harald A. asked Andy to
 > take an action item to add schema to ARIN's draft.
 >
 > - Peter K. mentioned that there is a need to separate policy from
 > technical. In particular, the draft requirement document seems to be mixing
 > policy requirements with technical ones.

   We need to answer (Peter K's) question: "why would a registry deploy this?"

   The requirements

 >
 > Andrew S. asked if people are willing to work on it and review drafts?
 >
 > - About 10 people raised their hands.
 >
 > *************************************************************************
 >
 >
 > On 7/29/11 1:25 PM, "Andy Newton" <andy at arin.net> wrote:
 >
 >>
 >> On Jul 28, 2011, at 7:55 PM, =JeffH wrote:
 >>
 >>> I spose we oughta ask "what /did/ happen with IRIS deployment and what
 >>> would you do differently if you did it over again?"....
 >>>
 >>> IRIS - An Overview for the ICANN Whois Task Force Andrew Newton,
 >>> VeriSign Labs Leslie Daigle, VeriSign Labs April 29, 2004
 >>> http://gnso.icann.org/mailing-lists/archives/dow1tf/pdfXH57SShw9O.pdf
 >>
 >> Perhaps people didn't like the font weight and accent color of the slide
 >> presentation? :)
 >>
 >> VeriSign did have a pilot IRIS server refreshed daily with data from
 >> their registry up and running, in addition to their previous Whois-LDAP
 >> server pilot up and running. Neither saw much traffic.
 >>
 >> As an exercise as to why, I suggest you spend one hour attempting to
 >> construct a simple IRIS client to query for information about a domain
 >> name. For comparison, also spend one hour attempting to construct a simple
 >> Whois-RWS client to query an IP address from ARIN's Whois restful web
 >> service.
 >>
 >> -andy
 >
 >